.TH GMTSET l "1 Oct 2004" "GMT4.0" "GMT4.0"
.SH NAME
gmtset \- To change individual \fBGMT\fP default parameters
.SH SYNOPSIS
\fBgmtset\fP [ \fB\-G\fP\fIdefaultsfile\fP ] PARAMETER1 [=] \fIvalue1\fP PARAMETER2 [=] \fIvalue2\fP PARAMETER3 [=] \fIvalue3\fP ...
.SH DESCRIPTION
\fBgmtset\fP will adjust individual \fBGMT\fP defaults settings in the current directory's \.gmtdefaults4\"'
file. If no such file exists one will be created. The main purpose of \fBgmtset\fP is
temporarily to change certain parameters inside a shell script, e.g., set the dots-per-inch
to 600, run the script, and reset to 300 dpi. Optionally, you can specify one or more temporary changes
directly on any \fBGMT\fP command line with the syntax \fB\-\-PARAMETER=VALUE\fP; such changes are
onlyl in effect for that command and do not permanently change the default settings on disk.
.TP
PARAMETER \fIvalue\fP
Provide one or several pairs of parameter/value combinations that you want to modify. For a
complete listing of available parameters and their meaning, see the \fBgmtdefaults\fP man page.
.SH OPTIONS
.TP
.B \-G
Name of specific \.gmtdefaults4 file to modify [Default looks first in current directory, then in your
home directory, and finally in the system defaults].
.SH EXAMPLES
To change the dpi to 600, set annotation font to Helvetica, and select grid-crosses of size 0.1 inch,
and set annotation offset to 0.2 cm:
.br
.sp
\fBgmtset\fP DOTS_PR_INCH 600 ANNOT_FONT_PRIMARY Helvetica GRID_CROSS_SIZE_PRIMARY 0.1\fBi\fP ANNOT_OFFSET_PRIMARY 0.2\fBc\fP
.br
.sp
.SH "SEE ALSO"
.IR gmt (l),
.IR gmtdefaults (l)
